<apex:page controller="WellPartnersController">
    <apex:form >
        <apex:pageBlock title="{!well.Name}">
            <apex:pageBlockTable value="{!partners}" var="partner" id="partnerTable">
                <apex:column >
                    <apex:facet name="header">
                        <div onclick="sort('Name');">Partner Name<div class="sortArrow" style="{!IF(sortField='Name','display:inline-block;','')}{!IF(sortOrder='DESC','background-position:0px -16px;','')}"></div></div>
                    </apex:facet>
                    <apex:outputText value="{!partner.Name}"/>
                </apex:column>
                <apex:column >
                    <apex:facet name="header">
                        <div onclick="sort('Effective');">Effective<div class="sortArrow" style="{!IF(sortField='Effective','display:inline-block;','')}{!IF(sortOrder='DESC','background-position:0px -16px;','')}"></div></div>
                    </apex:facet>
                    <apex:outputText value="{!partner.Effective__c}"/>
                </apex:column>
                <apex:column >
                    <apex:facet name="header">
                        <div onclick="sort('Expiry');">Expiry<div class="sortArrow" style="{!IF(sortField='Expiry','display:inline-block;','')}{!IF(sortOrder='DESC','background-position:0px -16px;','')}"></div></div>
                    </apex:facet>
                    <apex:outputText value="{!partner.Expiry__c}"/>
                </apex:column>
                <apex:column >
                    <apex:facet name="header">
                        <div onclick="sort('Percentage');">Percentage<div class="sortArrow" style="{!IF(sortField='Percentage','display:inline-block;','')}{!IF(sortOrder='DESC','background-position:0px -16px;','')}"></div></div>
                    </apex:facet>
                    <apex:outputText value="{!partner.Percentage__c}"/>
                </apex:column>
            </apex:pageBlockTable>
        </apex:pageBlock>
        <apex:actionFunction name="sort" action="{!sortPartners}" reRender="partnerTable">
            <apex:param name="sortField" value="" assignTo="{!sortField}"/>
        </apex:actionFunction>
    </apex:form>
</apex:page>